Summary: Reports the status of logical drives on HPE Smart Array controllers
Name: cciss_vol_status
Version: 1.12a
Release: 1%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://cciss.sourceforge.net/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://dl.sf.net/sourceforge/cciss/%{name}-%{version}.tar.gz
Patch0: cciss_vol_status-1.10-sg_wildcard.patch
Patch1: cciss_vol_status-1.11-reorder_status.patch
# Patches >=100 will/should be fixed in SCM
BuildRequires: glibc-headers
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a very lightweight program to report the status of logical
drives on HPE Smart Array controllers and also fibre channel attached
storage.

%prep
%setup -q
%patch0 -p1 -b .sg_wildcard
%patch1 -p1 -b .reorder_status

%build
%{configure}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Wed Jun 17 2020 Simon Matter <simon.matter@invoca.ch> 1.12a-1
- upgrade to 1.12a

* Tue Feb 05 2019 Simon Matter <simon.matter@invoca.ch> 1.12-2
- add requirement for glibc-headers to build with SCSI SG

* Tue Apr 18 2017 Simon Matter <simon.matter@invoca.ch> 1.12-1
- upgrade to 1.12

* Wed Jun 17 2015 Simon Matter <simon.matter@invoca.ch> 1.11-2
- add reorder_status patch

* Mon May 27 2013 Simon Matter <simon.matter@invoca.ch> 1.11-1
- upgrade to 1.11

* Mon Feb 25 2013 Simon Matter <simon.matter@invoca.ch> 1.10-3
- add patch to change sg wildcard handling

* Fri Aug 10 2012 Simon Matter <simon.matter@invoca.ch> 1.10-1
- upgrade to 1.10

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.09-2
- mass rebuild

* Mon Dec 06 2010 Simon Matter <simon.matter@invoca.ch> 1.09-1
- upgrade to 1.09

* Fri Dec 03 2010 Simon Matter <simon.matter@invoca.ch> 1.08-1
- upgrade to 1.08

* Fri Nov 20 2009 Simon Matter <simon.matter@invoca.ch> 1.06-1
- upgrade to 1.06

* Wed Nov 04 2009 Simon Matter <simon.matter@invoca.ch> 1.04-2
- add patch to support new controllers

* Tue Sep 22 2009 Simon Matter <simon.matter@invoca.ch> 1.04-1
- upgrade to 1.04
- change license tag to GPLv2+
- remove msa20 patch
- add patch to always add a dot after printing the status

* Wed Oct 10 2007 Simon Matter <simon.matter@invoca.ch> 1.03-2
- add patch to support for the HP StorageWorks MSA20

* Tue Oct 09 2007 Simon Matter <simon.matter@invoca.ch> 1.03-1
- initial package
